
QGIS Application - Bug report #18930

Crash when creating virtual field

2018-05-09 06:48 PM - Antoine Lafranchis

Status: Closed

Priority: High

Assignee:

Category: Field calculator

Affected QGIS version:3.0.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 26762

Description

User Feedback

I created a virtual field with the expression: x( closest_point( $geometry, centroid( $geometry )))

Report Details

Crash ID: d11050d489aa57b21410f801b2fb869248c54493

Stack Trace

QVariant::operator= :

QgsAttributeForm::onUpdatedFields :

QMetaObject::activate :

QgsVectorLayer::updateFields :

QgsVectorLayer::addExpressionField :

QgsFieldCalculator::accept :

QMetaObject::activate :

QDialogButtonBox::~QDialogButtonBox :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgsAttributeTableDialog::mActionOpenFieldCalculator_triggered :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :
QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.2-Girona

QGIS code revision: commit:307d082e3d

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

History

#1 - 2018-06-01 04:59 PM - Even Rouault

- Status changed from Open to Feedback

Works for me. Could you share the dataset you used ?

#2 - 2018-06-01 11:20 PM - Antoine Lafranchis

It works fine now. It's either fixed or non-reproductible.

#3 - 2018-06-01 11:41 PM - Nyall Dawson

Did you try with the attribute table open? From the trace it appears the table was visible.

#4 - 2018-06-02 12:50 AM - Antoine Lafranchis
Yes I tried with the attribute table open and with all the different data types available.

However, QGis did crash when I removed the virtual field, as in this issue #18812

#5 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#6 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

2025-04-26 3/3


